source: php5-lliurex-compat/fuentes/debian/postrm @ 1232

Last change on this file since 1232 was 1232, checked in by jrpelegrina, 4 years ago

fix

File size: 1.1 KB
Line 
1#!/bin/sh
2# postrm script for php5-lliurex-compat
3#
4# see: dh_installdeb(1)
5
6set -e
7
8# summary of how this script can be called:
9#        * <postrm> `remove'
10#        * <postrm> `purge'
11#        * <old-postrm> `upgrade' <new-version>
12#        * <new-postrm> `failed-upgrade' <old-version>
13#        * <new-postrm> `abort-install'
14#        * <new-postrm> `abort-install' <old-version>
15#        * <new-postrm> `abort-upgrade' <old-version>
16#        * <disappearer's-postrm> `disappear' <overwriter>
17#          <overwriter-version>
18# for details, see https://www.debian.org/doc/debian-policy/ or
19# the debian-policy package
20NOW=$(date +'%Y%m%d%m%s')
21
22case "$1" in
23    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
24        if [ -d /etc/apache2-lliurex ]; then
25                mv /etc/apache2-lliurex /etc/apache2-lliurex-${NOW}
26        fi
27        for l in /etc/local/sbin/a2*-lliurex; do 
28                rm ${l}
29        done
30    ;;
31
32    *)
33        echo "postrm called with unknown argument \`$1'" >&2
34        exit 1
35    ;;
36esac
37
38# dh_installdeb will replace this with shell code automatically
39# generated by other debhelper scripts.
40
41#DEBHELPER#
42
43exit 0
Note: See TracBrowser for help on using the repository browser.